Bug 1025942 - Parallel virt-df and virt-alignment-scan tests sometimes deadlock
Parallel virt-df and virt-alignment-scan tests sometimes deadlock
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks: 1076478
  Show dependency treegraph
 
Reported: 2013-11-02 04:27 EDT by Richard W.M. Jones
Modified: 2014-09-07 19:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (1.85 MB, text/plain)
2013-11-02 04:27 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2013-11-02 04:27:18 EDT
Created attachment 818562 [details]
build.log

Description of problem:

virt-df and virt-alignment-scan tools normally run with
multiple threads, up to 12.  These tools are tested by
the libguestfs test suite, ie. 'make check'.

When running the libguestfs test suite, there is a deadlock
happening which causes these tests to fail.  It mostly happens
when the tests run in Koji.

See the attached build log for a typical example.

Version-Release number of selected component (if applicable):

libguestfs 1.24 & 1.25

How reproducible:

Quite often but not 100%

Steps to Reproduce:
1. Run 'make check -C df' and/or 'make check -C align'
Comment 1 Richard W.M. Jones 2014-01-25 10:47:52 EST
See also:
https://bugzilla.redhat.com/show_bug.cgi?id=1057873

Note You need to log in before you can comment on or make changes to this bug.